namespace Patterns.Core.Adapter
{
    public class DogDuckAdapter : IDuck
    {
        private IDog dog;


        public DogDuckAdapter(IDog dog)
        {
            this.dog = dog;
        }


        public void Quack()
        {
            dog.Bark();
        }

        public void Fly()
        {
            dog.Crawl();
        }

        public void Swim()
        {
            dog.DogPaddle();
        }
    }
}