using System;

namespace Patterns.Core.Singleton
{
    public class Logger : ILogger
    {
        public static readonly ILogger Instance = new Logger();


        private Logger()
        {
        }

        public void Log()
        {
            Console.Out.WriteLine("Something");
        }
    }
}