using System;

namespace Patterns.Core
{
    public class Person
    {
        private string name;
        private int age;
        private DateTime birthdate;


        public Person(string name, int age, DateTime birthdate)
        {
            this.name = name;
            this.age = age;
            this.birthdate = birthdate;
        }

        public Person(string name, int age) : this(name, age, DateTime.Now)
        {
        }


        public string Name
        {
            get { return name; }
        }


        public int Age
        {
            get { return age; }
        }


        public DateTime Birthdate
        {
            get { return birthdate; }
        }
    }
}