using System;

namespace Patterns.Core.State
{
    public class NoQuarterState : IGumballMachineState
    {
        private IGumballMachine machine;


        public NoQuarterState(IGumballMachine machine)
        {
            this.machine = machine;
        }

        public void InsertQuarter()
        {
            Console.Out.WriteLine("A quarter was inserted");
            machine.CurrentState = machine.HasQuarterState;
        }

        public void EjectQuarter()
        {
            throw new NotImplementedException();
        }

        public void TurnCrank()
        {
            throw new NotImplementedException();
        }

        public void Dispense()
        {
            throw new NotImplementedException();
        }
    }
}