using System.Collections.Generic;

namespace Patterns.Core.Strategy
{
    public class BirthDayComparer : IComparer<Person>
    {
        public int Compare(Person x, Person y)
        {
            return x.Birthdate.CompareTo(y.Birthdate);
        }
    }
}