using System;
using NUnit.Framework;
using Patterns.Core.State;

namespace Patterns.Test.State
{
    [TestFixture]
    public class GumballMachineDriver
    {
        [Test]
        public void PutItThroughItsPaces()
        {
            MessyGumballMachine gumballMachine = new MessyGumballMachine(5);
            Console.Out.WriteLine(gumballMachine);

            gumballMachine.InsertQuarter();
            gumballMachine.TurnCrank();

            Console.Out.WriteLine("");

            Console.Out.WriteLine(gumballMachine);

            gumballMachine.InsertQuarter();
            gumballMachine.EjectQuarter();
            gumballMachine.TurnCrank();

            Console.Out.WriteLine("");

            Console.Out.WriteLine(gumballMachine);

            gumballMachine.InsertQuarter();
            gumballMachine.TurnCrank();
            gumballMachine.InsertQuarter();
            gumballMachine.TurnCrank();
            gumballMachine.EjectQuarter();

            Console.Out.WriteLine(gumballMachine);

            gumballMachine.InsertQuarter();
            gumballMachine.InsertQuarter();
            gumballMachine.TurnCrank();
            gumballMachine.InsertQuarter();
            gumballMachine.TurnCrank();
            gumballMachine.InsertQuarter();
            gumballMachine.TurnCrank();

            Console.Out.WriteLine(gumballMachine);
        }
    }
}