using NUnit.Framework;
using Patterns.Core.Task;

namespace Patterns.Test.Strategy
{
    [TestFixture]
    public class MapperTest
    {
        [Test]
        public void ShouldInsertPeopleToDatabase()
        {
            SampleTask task = new SampleTask();
            task.Insert10People();
        }

        [Test]
        public void ShouldInsertPeopleAndMallardDucks()
        {
            SampleTask task = new SampleTask();
            task.Insert10PeopleAnd5Ducks();
        }
    }
}